<?php

namespace App\Http\Requests\Dashboard;

use App\Models\ScheduleYear;
use Illuminate\Foundation\Http\FormRequest;

class CompanyScheduleRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {

        return [

            'date_from' => 'required|after:today',
            'date_to' => 'required|after_or_equal:date_from',
            'desc_ar'  => 'required',
            'desc_en'  => 'required',
        ];
    }
}
